import React from 'react';
import styles from './index.less';

class RightMainPart extends React.Component {
    constructor(props) {
        super(props)
    }
    showContent(activeId ) {
        let { children } = this.props

        return children && children.map((val, idx) => {
            return (
                <div className={activeId == idx ? styles['disblock'] : styles['disnone']}>
                    {val}
                </div>
            )
        })
    }
    render() {
        let { activeId } = this.props;
        return (
            <div className={styles['tmpContain']}>
                {
                    this.showContent(activeId)
                }
            </div>
        )
    }
}

RightMainPart.defaultProps = {
    activeId: '0'
};
export default RightMainPart;